.menuDropdown {
  --background-color-menu: var(--color-white);
  --background-color-menu-item-focus: var(--color-fog);

  --border-color-button: var(--color-white);
  --border-color-button-focus: var(--color-white);
  --border-bottom-color-menu-item: var(--color-black-10);

  --color-button: var(--color-black);

  --fontsize-button: var(--fontsize-body-m);
  --fontsize-menu-item: var(--fontsize-body-m);

  --fontweight-menu-item: normal;
  --fontweight-menu-item-selected: 600;

  --margin-left-icon-angle: var(--spacing-xs);

  --margin-right-button-icon: var(--spacing-xs);
  --margin-right-menu-item-icon: var(--spacing-xs);

  --size-button-icon: var(--spacing-layout-xs);
  --size-button-angle-icon: var(--spacing-layout-xs);

  --spacing-button: var(--spacing-2-xs);
  --spacing-menu-item: var(--spacing-xs);
}

.menuDropdown {
  position: relative;
  align-self: center;
}

.dropdownButton {
  display: flex;
  font-size: var(--fontsize-button);
  color: var(--color-button);
  font-weight: normal;
  align-items: center;
  padding: var(--spacing-button);
  border: 2px solid var(--border-color-button);

  .iconWrapper {
    height: var(--size-button-icon);
    width: var(--size-button-icon);
    margin-right: var(--margin-right-button-icon);
  }

  .textWrapper {
    display: flex;
    align-items: center;
  }

  .iconAngle {
    height: var(--size-button-angle-icon);
    width: var(--size-button-angle-icon);
    margin-left: var(--margin-left-icon-angle);
  }

  .iconAngleUp {
    transform: rotate(180deg);
  }

  &:focus {
    border-color: var(--border-color-button-focus);
  }
}

.dropdownMenu {
  display: none;

  &.isOpen {
    display: block;
    position: absolute;
    margin: 0;
    padding: 0;
    list-style: none;
    top: 100%;
    right: 0;
    background-color: var(--background-color-menu);
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    min-width: -webkit-fill-available;
  }
}

.menuItem {
  display: flex;
  align-items: center;
  cursor: pointer;
  white-space: nowrap;
  padding: var(--spacing-menu-item);
  font-size: var(--fontsize-menu-item);
  font-weight: var(--fontweight-menu-item);
  border-bottom: 1px solid var(--border-bottom-color-menu-item);

  &.isSelected {
    font-weight: var(--fontweight-menu-item-selected);
  }

  &.isFocused {
    background-color: var(--background-color-menu-item-focus);
  }

  &:hover {
    text-decoration: underline;
  }

  .menuItemIconWrapper {
    height: var(--size-menu-item-icon);
    width: var(--size-menu-item-icon);
    margin-right: var(--margin-right-menu-item-icon);
  }
}
